Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica
Class SchemaAwareTransformerFactory

    java.lang.Object
      javax.xml.transform.TransformerFactory
          javax.xml.transform.sax.SAXTransformerFactory
              net.sf.saxon.TransformerFactoryImpl
                  com.saxonica.SchemaAwareTransformerFactory

    public class SchemaAwareTransformerFactory

extends TransformerFactoryImpl

The is the JAXP TransformerFactory implementation for the schema-aware version of Saxon. It can be invoked by setting the system property java.xml.transform.TransformerFactory to the value com.saxonica.SchemaAwareTransformerFactory

Field Summary

Fields inherited from class javax.xml.transform.sax.SAXTransformerFactory
`FEATURE, FEATURE_XMLFILTER`

Constructor Summary
`SchemaAwareTransformerFactory()`

Method Summary
`void` | `addSchema(Source schemaSource)` Load a schema, which will be available for use by all subsequent operations using this TransformerFactory.

Methods inherited from class net.sf.saxon.TransformerFactoryImpl
`getAssociatedStylesheet, getAttribute, getConfiguration, getErrorListener, getFeature, getURIResolver, newTemplates, newTemplates, newTemplatesHandler, newTransformer, newTransformer, newTransformerHandler, newTransformerHandler, newTransformerHandler, newXMLFilter, newXMLFilter, setAttribute, setConfiguration, setErrorListener, setFeature, setURIResolver`

Methods inherited from class javax.xml.transform.TransformerFactory
`newInstance`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaAwareTransformerFactory

    public SchemaAwareTransformerFactory()

Method Detail

### addSchema

    public void addSchema(Source schemaSource)
                   throws TransformerException

  Load a schema, which will be available for use by all subsequent operations using this TransformerFactory.

  Parameters:
    `schemaSource` - the JAXP Source object identifying the schema document to be loaded
  Throws:
    `TransformerException` - if the schema cannot be read or parsed or if it is invalid

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.